Bug 606003 - Review Request: pypolicyd-spf - SPF Policy Server for Postfix
Review Request: pypolicyd-spf - SPF Policy Server for Postfix
Status: CLOSED DUPLICATE of bug 921797
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
StalledSubmitter
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-19 17:51 EDT by Konstantin Zemlyak
Modified: 2013-10-19 10:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-24 14:19:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
intial shot at a spec file (1.76 KB, text/x-rpm-spec)
2013-05-11 09:57 EDT, Trever Adams
no flags Details

  None (edit)
Description Konstantin Zemlyak 2010-06-19 17:51:11 EDT
Spec URL: http://aura.zartsoft.ru/~zart/fedora/pypolicyd-spf.spec
SRPM URL: http://aura.zartsoft.ru/~zart/fedora/pypolicyd-spf-0.8.0-1.fc13.src.rpm
Description:
pypolicyd-spf is a Postfix policy engine for Sender Policy Framework (SPF)
checking. It is implemented in pure Python and uses the python-spf (pyspf)
module.
This SPF policy server implementation provides flexible options for different
receiver policies and sender whitelisting to enable it to support a very wide
range of requirements.


This is my first package and I need a sponsor.
Comment 1 Jason Tibbitts 2010-11-23 15:00:06 EST
Note that you can remove the %{?fedora} > 12 conditional; F13 is the oldest thing you can build for.  There were also updated Python guidelines which you should read over.  The python3 stuff probably has no bearing on this package, but you will at least need BuildRequires: python2-devel instead of python-devel.
Comment 2 Konstantin Zemlyak 2010-12-02 00:58:10 EST
Thanks for reviewing.

I've updated package to version 0.8.1 released few days ago. Spec has been updated to use python2-devel and %{}-style for consistency. I'll keep %{?fedora} > 12 for now since I'm still running f12 myself.

http://aura.zartsoft.ru/~zart/fedora/ has both src and noarch rpms from koji's scratch builds:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2638340
http://koji.fedoraproject.org/koji/taskinfo?taskID=2638385
http://koji.fedoraproject.org/koji/taskinfo?taskID=2638409
Comment 3 Matthias Runge 2012-02-27 09:31:49 EST
any progress here?
Comment 4 Trever Adams 2013-05-11 09:30:30 EDT
Anyone still interested in this and willing to help if I get a spec file started?
Comment 5 Konstantin Zemlyak 2013-05-11 09:34:41 EDT
Feel free to reuse my .spec files at http://feena.zartsoft.ru/~zart/fedora/
Comment 6 Trever Adams 2013-05-11 09:57:13 EDT
Created attachment 746539 [details]
intial shot at a spec file
Comment 7 Trever Adams 2013-05-11 09:59:01 EDT
Thank you. I appreciate this. Any reason you stopped working on this?
Comment 8 Konstantin Zemlyak 2013-05-11 10:40:58 EDT
I thought I've finished the spec, but probably didn't follow up release process properly so it stuck at "StalledSubmitter" stage. I didn't have time and interest to pursue it further since rpm worked for me just fine.

My mailserver has been using that rpm for few years now without issues.
Comment 9 Konstantin Zemlyak 2013-05-11 10:58:12 EDT
I had a look at your version of spec and have got few questions:

- why both python-devel and python2-devel? also judging by setup.py in 1.1.2 it's now 3.2+ compatible
- Since it's postfix-specific package, why you didn't put postfix in Requires? Installing this package without postfix doesn't make sense.
- python-setuptools is not strictly required since it's pure distutils package.
- Shouldn't %{_sysconfig} files be marked as %config(noreplace)? Also why mark them as executable with 0755?
Comment 10 Felix Kaechele 2013-05-11 11:08:35 EDT

*** This bug has been marked as a duplicate of bug 921797 ***
Comment 11 Trever Adams 2013-05-11 12:40:48 EDT
Konstantin, some of that was copied from other spec files I copied from or from the python-spf package. Thank you for pointing some of these things out. I am going to fix several of my other packages now.

Note You need to log in before you can comment on or make changes to this bug.